Bug 1889912 - Drains can cause high CPU usage
Summary: Drains can cause high CPU usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.7.0
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
: 1882000 1891412 (view as bug list)
Depends On:
Blocks: 1869362 1893483
TreeView+ depends on / blocked
 
Reported: 2020-10-20 21:50 UTC by Ryan Phillips
Modified: 2023-09-15 00:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:27:07 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2191 0 None closed Bug 1889912: vendor in drain fix for using high cpu 2021-01-05 06:40:21 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:27:37 UTC

Description Ryan Phillips 2020-10-20 21:50:58 UTC
Description of problem:

Saw this merged upstream PR fixing high CPU usage on drains. https://github.com/kubernetes/kubernetes/pull/95260. 

The MCO uses the same/similar code on upgrades as well: https://github.com/openshift/machine-config-operator/blob/08ddac370a125ac1b72c5b80069efd8ae31489b6/vendor/k8s.io/kubectl/pkg/drain/drain.go#L321

We need to backport the patch to 4.6, and likely 4.5 as well.

Comment 2 Kirsten Garrison 2020-10-21 17:28:07 UTC
The current fix is in kubectl master and 1.20 isn't cut yet(that's December) so I have to wait until the backport hits 1.19 via https://github.com/kubernetes/kubernetes/pull/95710 and can get it from there.

Comment 5 Ryan Phillips 2020-11-10 15:39:06 UTC
*** Bug 1891412 has been marked as a duplicate of this bug. ***

Comment 6 Ryan Phillips 2020-11-11 14:00:44 UTC
*** Bug 1882000 has been marked as a duplicate of this bug. ***

Comment 9 errata-xmlrpc 2021-02-24 15:27:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633

Comment 11 Red Hat Bugzilla 2023-09-15 00:49:59 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 500 days


Note You need to log in before you can comment on or make changes to this bug.